module.exports = {
  mode: 'development',
  devtool: 'inline-source-map',
  entry: './src/lib/index.ts',
  output: {
    path: __dirname+ '/dist',
    filename: 'main.js',
    library: 'netTree',
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  module: {
    rules: [
      { test: /\.ts$/, use: 'ts-loader', exclude: /node_modules/ }
    ]
  },
  resolve: {
    extensions: ['.ts']
  },
  target: 'node'
};
